#pragma interface
#include <Frame.h>
#include "textdraw.h"

class WindowContext: public DrawingContext, public FrameWin, public Zoomable  {
  WindowContext(const WindowContext &);
  //Rect dirtyRect;
  short panx, pany;
  bool active;
public:
  WindowContext();
  void setActive(bool f);
  void setCaption(const char *s);
  void setTitle(const char *s);
  int getX() const;
  int getY() const;
  void setCursor(int x,int y);
  void draw(const Rect &);
  void setphys(const Rect &);
  virtual void paint(DrawingContext *) = 0;
  void writeAttr(int x,int y,int n,const CHTYPE *a);
  void copyArea(const Rect &,int dx,int dy);
  void fillRect(const Rect &,CHTYPE attr);
  ~WindowContext();
};

