#include "gscreen.h"
#include <keyboard.h>

main(int argc,char **argv) {
  int row,col;
  GSbegin();
  Kbegin(1);
  row = GSrows / 2;
  col = GScols / 2;
  for (;;) {
    GSputpixel(row,col,1);
    switch (Ksync(),Kget()) {
    case '7':
      if (--row < 0) row += GSrows;
    case KEY_LEFT: case '4':
      if (--col < 0) col += GScols;
      continue;
    case '1':
      if (--col < 0) col += GScols;
    case KEY_DOWN: case '2':
      if (++row >= GSrows) row = 0;
      continue;
    case KEY_UP: case '8':
      if (--row < 0) row += GSrows;
      continue;
    case '9':
      if (--row < 0) row += GSrows;
    case KEY_RIGHT: case '6':
      if (++col >= GScols) col = 0;
      continue;
    case '3':
      if (++row >= GSrows) row = 0;
      if (++col >= GScols) col = 0;
      continue;
    case 'q': case 'Q':
      break;
    default:
      continue;
    }
    break;
  }
  Kend();
  GSend();
}
